// config_report.cc. Generated from config.report by tools/mk_cfgrpt.sh

namespace isc {
namespace detail {

extern const char* const config_report[] = {
    ";;;; ",
    ";;;;        Kea source configure results:",
    ";;;;     -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-",
    ";;;; ",
    ";;;; Package:",
    ";;;;   Name:              kea",
    ";;;;   Version:           2.6.0",
    ";;;;   Extended version:  2.6.0 (tarball)",
    ";;;;   Version type:      stable",
    ";;;;   OS Family:         Linux",
    ";;;; ",
    ";;;;   Prefix:            /usr",
    ";;;;   Hooks directory:   /usr/lib64/kea/hooks",
    ";;;;   Premium hooks:     no",
    ";;;;   Included Hooks:   ",
    ";;;; ",
    ";;;; Configure arguments:",
    ";;;;  '--build=x86_64-alt-linux' '--host=x86_64-alt-linux' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/lib' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--without-included-gettext' '--disable-dependency-tracking' '--disable-rpath' '--disable-silent-rules' '--disable-static' '--enable-debug' '--enable-generate-parser' '--enable-shell' '--enable-generate-docs' '--enable-generate-messages' '--enable-perfdhcp' '--with-mysql' '--with-pgsql' '--with-gnu-ld' '--with-log4cplus' '--with-openssl' '--with-gssapi' '--with-site-packages=/usr/lib/python3/site-packages' 'runstatedir=/run' 'build_alias=x86_64-alt-linux' 'host_alias=x86_64-alt-linux' 'CXXFLAGS=-pipe -frecord-gcc-switches -Wall -g -O2' 'CFLAGS=-pipe -frecord-gcc-switches -Wall -g -O2'",
    ";;;; ",
    ";;;; C++ Compiler:",
    ";;;;   CXX:             x86_64-alt-linux-g++",
    ";;;;   CXX_VERSION:     x86_64-alt-linux-g++ (GCC) 10.3.1 20210703 (ALT Sisyphus 10.3.1-alt2)",
    ";;;;   CXX_STANDARD:    201402",
    ";;;;   DEFS:            -DHAVE_CONFIG_H",
    ";;;;   CPPFLAGS:         -DOS_LINUX  -I$(top_srcdir) -I$(top_builddir)",
    ";;;;   CXXFLAGS:        -pipe -frecord-gcc-switches -Wall -g -O2",
    ";;;;   LDFLAGS:          -lpthread",
    ";;;;   KEA_CXXFLAGS:     -g3 -O0 -ggdb3 -grecord-gcc-switches -Wall -Wextra -Wnon-virtual-dtor -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -pthread -Wno-missing-field-initializers -fPIC",
    ";;;; ",
    ";;;; Python:",
    ";;;;   PYTHON:               /usr/bin/python3",
    ";;;;   PYTHON_VERSION:       3.9",
    ";;;;   PYTHON_PREFIX:        /usr",
    ";;;;   PYTHON_EXEC_PREFIX:   /usr",
    ";;;;   PKGPYTHONDIR:         /usr/lib/python3/site-packages/kea",
    ";;;; ",
    ";;;; Boost:",
    ";;;;   BOOST_VERSION:   1.76",
    ";;;;   BOOST_INCLUDES:  ",
    ";;;;   BOOST_LIBS:       -lboost_system",
    ";;;; ",
    ";;;; OpenSSL:",
    ";;;;   CRYPTO_VERSION:  OpenSSL 1.1.1w  11 Sep 2023",
    ";;;;   CRYPTO_CFLAGS:   ",
    ";;;;   CRYPTO_INCLUDES: ",
    ";;;;   CRYPTO_LDFLAGS:  ",
    ";;;;   CRYPTO_LIBS:     -lssl -lcrypto",
    ";;;;   TLS support:     yes",
    ";;;; ",
    ";;;; Botan: no",
    ";;;; ",
    ";;;; Log4cplus:",
    ";;;;   LOG4CPLUS_VERSION:  2.0.6",
    ";;;;   LOG4CPLUS_INCLUDES: -I/usr/include",
    ";;;;   LOG4CPLUS_LIBS:     -L/usr/lib -L/usr/lib64 -llog4cplus",
    ";;;; ",
    ";;;; Flex/bison:",
    ";;;;   FLEX:  flex",
    ";;;;   BISON: /usr/bin/bison",
    ";;;; ",
    ";;;; MySQL:",
    ";;;;   MYSQL_VERSION:   8.0.36",
    ";;;;   MYSQL_CPPFLAGS:  -I/usr/include/mysql ",
    ";;;;   MYSQL_LIBS:       -L/usr/lib64 -lmysqlclient  -lssl -lcrypto",
    ";;;; ",
    ";;;; PostgreSQL:",
    ";;;;   PGSQL_VERSION:   PostgreSQL 16.3",
    ";;;;   PGSQL_CPPFLAGS:  -D_GNU_SOURCE -I/usr/include/libxml2 -I/usr/include/krb5 -I/usr/include/pgsql -I/usr/include/pgsql/server",
    ";;;;   PGSQL_LIBS:      -L/usr/lib64 -lpq",
    ";;;; ",
    ";;;; NETCONF:",
    ";;;;   no",
    ";;;; ",
    ";;;;   libyang:",
    ";;;;     no",
    ";;;; ",
    ";;;;   libyang-cpp:",
    ";;;;     no",
    ";;;; ",
    ";;;;   sysrepo:",
    ";;;;     no",
    ";;;; ",
    ";;;;   sysrepo-cpp:",
    ";;;;     no",
    ";;;; ",
    ";;;; Google Test:",
    ";;;;   no",
    ";;;; ",
    ";;;; GSS-API support:",
    ";;;;   GSSAPI_CFLAGS:         ",
    ";;;;   GSSAPI_LIBS:           -L/usr/lib64 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err",
    ";;;; ",
    ";;;; Developer:",
    ";;;;   Enable Debugging:          yes",
    ";;;;   Google Tests:              no",
    ";;;;   Valgrind:                  not found",
    ";;;;   C++ Code Coverage:         no",
    ";;;;   Logger checks:             no",
    ";;;;   Install existing manuals:  no",
    ";;;;   Generate Documentation:    html, man but no pdf",
    ";;;;   Generate Parser:           yes",
    ";;;;   Generate Messages Files:   yes",
    ";;;;   Perfdhcp:                  yes",
    ";;;;   Kea-shell:                 yes",
    ";;;;   Enable fuzzing:            no",
    ";;;; ",
    ""
};

}
}
